@rem/******************************************************************************
@rem *
@rem * Licensed Materials - Property of IBM
@rem *
@rem * Source File Name = changeCipher.cmd
@rem *
@rem * (C) COPYRIGHT IBM Corp. 1999, 2007 All Rights Reserved
@rem *
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem *
@rem *****************************************************************************/
@echo off
setlocal

set ITIM_HOME=%DEFINED_ITIM_HOME%
set JAVA_HOME=%DEFINED_JAVA_HOME%

set CLASSPATH=%JAVA_HOME%\jre\lib\rt.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\data
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jlog.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_common.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_api.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_server_api.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_server.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\aspectjrt.jar

set CLASSPATH=%CLASSPATH%;%WAS_INSTALL_ROOT%\lib\bootstrap.jar
set CLASSPATH=%CLASSPATH%;%WAS_INSTALL_ROOT%\plugins\com.ibm.ws.security.crypto_6.1.0.jar
set CLASSPATH=%CLASSPATH%;%WAS_INSTALL_ROOT%\plugins\com.ibm.ws.runtime_6.1.0.jar
set CLASSPATH=%CLASSPATH%;%WAS_INSTALL_ROOT%\plugins\com.ibm.ws.emf_2.1.0.jar
set CLASSPATH=%CLASSPATH%;%WAS_DM_INSTALL_ROOT%\lib\bootstrap.jar
set CLASSPATH=%CLASSPATH%;%WAS_DM_INSTALL_ROOT%\plugins\com.ibm.ws.security.crypto_6.1.0.jar
set CLASSPATH=%CLASSPATH%;%WAS_DM_INSTALL_ROOT%\plugins\com.ibm.ws.runtime_6.1.0.jar
set CLASSPATH=%CLASSPATH%;%WAS_DM_INSTALL_ROOT%\plugins\com.ibm.ws.emf_2.1.0.jar

set ENV=-DITIM_HOME="%DEFINED_ITIM_HOME%"
set ENV=%ENV% -DTEMP_HOME="%DEFINED_ITIM_HOME%"
set ENV=%ENV% -DWAS_PROFILE_HOME="%WAS_PROFILE_HOME%"
set ENV=%ENV% -DWAS_DM_PROFILE_HOME="%WAS_DM_PROFILE_HOME%"
set ENV=%ENV% -DWAS_CELL_NAME=%DEFINED_CELL_NAME%
set ENV=%ENV% -DIS_SINGLE_SERVER=%IS_SINGLE_SERVER%
set ENV=%ENV% -DIS_CLUSTER_MEMBER=%IS_CLUSTER_MEMBER%
set ENV=%ENV% -DIS_DM_NODE=%IS_DM_NODE%
set ENV=%ENV% -DLOG_LEVEL=1

set EXEC=com.ibm.itim.migration.cipher.CipherMigrator 
"%JAVA_HOME%\bin\java" %ENV% -cp "%CLASSPATH%" %EXEC% %*

endlocal
